Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0041882
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 00. Application dictionaryminoralways2019-09-25 10:062019-12-12 23:01
ReporterLeyreView Statuspublic 
Assigned Tomarkmm82 
PrioritynormalResolutionfixedFixed in Version3.0PR20Q1
StatusclosedFix in branchFixed in SCM revisionb52f19ccec69
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToSandrahuguet
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0041882: There are fields with the same sequence number for the same window/tab

DescriptionThere are fields with the same sequence number for the same window/tab
Steps To ReproduceWe have executed this SQL:

select max(m.javapackage), min(m.javapackage), f.ad_tab_id, w.name as window,f.seqno, t.name as tab, max(f.name), min(f.name)
from ad_tab t, ad_window w, ad_field f, ad_column c, ad_module m
where f.ad_column_id = c.ad_column_id and f.ad_tab_id=t.ad_tab_id and t.ad_window_id=w.ad_window_id
and c.ad_reference_id <> '28'
and f.isdisplayed = 'Y'
and f.seqno is not null
and f.ad_module_id=m.ad_module_id and f.isshowninstatusbar='N'
group by f.ad_tab_id, f.seqno, w.name, t.name
having count(1) > 1
order by 2,1;


And we have verified that there are fields with the same sequence number in the same window/tab. Look at the attached document.
TagsNo tags attached.
Attached Filescsv file icon secuencenumber.csv [^] (2,983 bytes) 2019-09-25 10:06

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0041652 newplatform If more than one displayed field in a tab have the same sequence number, the fields can be displayed in different order in form 

-  Notes
(0114970)
markmm82 (developer)
2019-10-09 02:18
edited on: 2019-10-09 02:36

To get those fields with the same sequence number at same tab we execute the following query:

select w.name as window, t.name as tab, f.seqno, f.name as field, f.ad_field_id, f.ad_tab_id
  --, m.javapackage
from ad_window w
  inner join ad_tab t on w.ad_window_id=t.ad_window_id
  inner join ad_field f on t.ad_tab_id=f.ad_tab_id
  inner join ad_column c on f.ad_column_id = c.ad_column_id
  --inner join ad_module m on f.ad_module_id=m.ad_module_id
where c.ad_reference_id <> '28'
  and f.isdisplayed = 'Y'
  and f.seqno is not null
  and f.isshowninstatusbar='N'
  and f.isactive='Y'
  and exists (
    select 1
    from ad_field f2
      inner join ad_column c2 on f2.ad_column_id = c2.ad_column_id
    where
      c2.ad_reference_id <> '28'
      and f2.seqno = f.seqno
      and f2.ad_tab_id = f.ad_tab_id
      and f2.ad_field_id <> f.ad_field_id
      and f2.isdisplayed = 'Y'
      and f2.isactive='Y'
  )
order by w.name, t.name, f.seqno;

It gets the records with conflicts.
Notice is needed to update the sequence numbers of those fields having the same value in the same tab and window but just when they can cause visual conflicts having the same sequence on forms or grids. Fields to be considered are those: with active status, that are displayed, are not shown in status bar and the related column reference is not a Button (different than '28').

(0114971)
markmm82 (developer)
2019-10-09 02:23

Test Plan:
Execute the following query and notice it doesn't gets any record:
select w.name as window, t.name as tab, f.seqno, f.name as field, f.ad_field_id, f.ad_tab_id
  --, m.javapackage
from ad_window w
  inner join ad_tab t on w.ad_window_id=t.ad_window_id
  inner join ad_field f on t.ad_tab_id=f.ad_tab_id
  inner join ad_column c on f.ad_column_id = c.ad_column_id
  --inner join ad_module m on f.ad_module_id=m.ad_module_id
where c.ad_reference_id <> '28'
  and f.isdisplayed = 'Y'
  and f.seqno is not null
  and f.isshowninstatusbar='N'
  and f.isactive='Y'
  and exists (
    select 1
    from ad_field f2
      inner join ad_column c2 on f2.ad_column_id = c2.ad_column_id
    where
      c2.ad_reference_id <> '28'
      and f2.seqno = f.seqno
      and f2.ad_tab_id = f.ad_tab_id
      and f2.ad_field_id <> f.ad_field_id
      and f2.isdisplayed = 'Y'
      and f2.isactive='Y'
  )
order by w.name, t.name, f.seqno;
(0115073)
hgbot (developer)
2019-10-14 16:44

Repository: erp/devel/pi
Changeset: b52f19ccec69d400c85549332d1dd1014aabe6db
Author: Mark Molina <mark.molina <at> doceleguas.com>
Date: Tue Oct 08 21:11:06 2019 -0300
URL: http://code.openbravo.com/erp/devel/pi/rev/b52f19ccec69d400c85549332d1dd1014aabe6db [^]

Fixes issue 41882: Changed sequence number to those fields with the same value
for the same window/tab.

Were updated the sequence numbers of those fields having the same value in the same
tab and window.

Were only updated those wich can cause visual conflict having the same sequence at
be rendered. Updated fields were those: active, displayed, not shown in status bar and
with a related column reference different than '28' (Button).

---
M src-db/database/sourcedata/AD_FIELD.xml
---
(0115074)
Sandrahuguet (developer)
2019-10-14 16:48

verified
(0116241)
hudsonbot (developer)
2019-12-12 23:01

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/954d2b7a66fb [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-09-25 10:06 Leyre New Issue
2019-09-25 10:06 Leyre Assigned To => platform
2019-09-25 10:06 Leyre File Added: secuencenumber.csv
2019-09-25 10:06 Leyre Modules => Core
2019-09-25 10:06 Leyre Triggers an Emergency Pack => No
2019-09-25 10:14 Leyre Priority high => normal
2019-09-25 10:14 Leyre Severity major => minor
2019-09-25 10:14 Leyre Relationship added related to 0041652
2019-09-27 11:14 alostale Assigned To platform => Triage Finance
2019-10-08 15:03 markmm82 Assigned To Triage Finance => markmm82
2019-10-08 15:03 markmm82 Status new => scheduled
2019-10-08 15:27 markmm82 Note Added: 0114950
2019-10-08 15:27 markmm82 Assigned To markmm82 => Leyre
2019-10-08 15:27 markmm82 Status scheduled => feedback
2019-10-09 02:12 markmm82 Assigned To Leyre => markmm82
2019-10-09 02:12 markmm82 Status feedback => scheduled
2019-10-09 02:12 markmm82 Note Deleted: 0114950
2019-10-09 02:18 markmm82 Note Added: 0114970
2019-10-09 02:23 markmm82 Note Added: 0114971
2019-10-09 02:36 markmm82 Note Edited: 0114970 View Revisions
2019-10-14 16:44 hgbot Checkin
2019-10-14 16:44 hgbot Note Added: 0115073
2019-10-14 16:44 hgbot Status scheduled => resolved
2019-10-14 16:44 hgbot Resolution open => fixed
2019-10-14 16:44 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/b52f19ccec69d400c85549332d1dd1014aabe6db [^]
2019-10-14 16:48 Sandrahuguet Review Assigned To => Sandrahuguet
2019-10-14 16:48 Sandrahuguet Note Added: 0115074
2019-10-14 16:48 Sandrahuguet Status resolved => closed
2019-10-14 16:48 Sandrahuguet Fixed in Version => 3.0PR20Q1
2019-12-12 23:01 hudsonbot Checkin
2019-12-12 23:01 hudsonbot Note Added: 0116241


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker